Bug 1312301 - Review Request: perl-Net-LDAP-Server - Net::LDAP::Server Perl module
Review Request: perl-Net-LDAP-Server - Net::LDAP::Server Perl module
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312303
  Show dependency treegraph
 
Reported: 2016-02-26 06:07 EST by Ralf Corsepius
Modified: 2016-12-20 23:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 23:28:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2016-02-26 06:07:05 EST
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server-0.43-1.fc23.src.rpm
Description: 
Net::LDAP::Server provides the protocol handling for an LDAP server. You
can subclass it and implement the methods you need. Then you just
instantiate your subclass and call its handle method to establish a
connection with the client.

Fedora Account System Username: corsepiu
Comment 1 Petr Pisar 2016-03-24 10:40:29 EDT
Could you add `make' and `perl' to build-requires?
Comment 2 Jitka Plesnikova 2016-11-28 09:24:13 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

BuildRequires
FIX: Please add following BRs:
 - make
 - perl
 - perl-generators

FIX: Binary requires and provides are not complete due to missing BR perl-generators

$ rpmlint perl-Net-LDAP-Server*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.

TODO: Please add 'examples' to %doc.

Please correct all 'FIX' issues and consider fixing 'TODO' items and 
provide new spec file.

The package is not approved.
Comment 3 Ralf Corsepius 2016-11-29 13:11:58 EST
Updated package with hopefully all issues addressed:

Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Net-LDAP-Server-0.43-2.fc26.src.rpm
Comment 4 Jitka Plesnikova 2016-11-30 04:43:14 EST
(In reply to Jitka Plesnikova from comment #2)

> BuildRequires
> FIX: Please add following BRs:
>  - make
>  - perl
>  - perl-generators
+BuildRequires:  perl
+BuildRequires:  perl-generators
...
+BuildRequires:  %{__make}
Ok.

 
> FIX: Binary requires and provides are not complete due to missing BR
> perl-generators
$ rpm -qp --requires perl-Net-LDAP-Server-0.43-2.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(Convert::ASN1)
      1 perl(Data::Dumper)
      1 perl(Net::LDAP::ASN)
      1 perl(Net::LDAP::Constant)
      1 perl(Net::LDAP::Entry)
      1 perl(fields)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Net-LDAP-Server-0.43-2.fc26.noarch.rpm | sort | uniq -c
      1 perl(Net::LDAP::Server) = 0.43
      1 perl-Net-LDAP-Server = 0.43-2.fc26
Binary provides are Ok.

> TODO: Please replace PERL_INSTALL_ROOT with more common DESTDIR.
-make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
+%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT
Ok.
 
> TODO: Please add 'examples' to %doc.
+%doc examples
Ok.

The package looks good.
Approved
Comment 5 Gwyn Ciesla 2016-11-30 09:11:08 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Net-LDAP-Server

Note You need to log in before you can comment on or make changes to this bug.